Lingxing
切换旧版

查询货件方案的装箱信息

POST/amzStaServer/openapi/inbound-packing/getInboundPackingBoxInfo

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-packing/getInboundPackingBoxInfoHTTPSPOST1

请求参数

inboundPlanIdstring
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】
sidinteger
亚马逊店铺sid,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-packing/getInboundPackingBoxInfo?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "sid": 1
}'

返回结果

codeinteger必填
状态码,0 成功
messagestring必填
消息提示
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
dataobject必填
响应数据
隐藏子属性
inboundPlanIdstring必填
STA任务编号
placementOptionListarray<object>必填
货件方案id
隐藏子属性
placementOptionIdstring必填
货件方案id
placementStatusstring必填
状态:含OFFERED、ACCEPTED、EXPIRED
shipmentInformationListarray<object>必填
货件信息
隐藏子属性
shipmentIdstring必填
货件id
volumestring
箱子总体积(先装箱再分仓时,返回箱子总重量;先分仓再装箱时,不返回箱子总重量)
volumeUnitstring
长度单位(IN-英制,CM-公制)
weightstring
箱子总重量(先装箱再分仓时,返回箱子总重量;先分仓再装箱时,不返回箱子总重量)
weightUnitstring
重量单位(LB-磅,KG-千克)
shipmentPackingListarray<object>必填
装箱明细
隐藏子属性
boxNamestring必填
箱子名称
heightnumber必填
箱子高度
lengthnumber必填
箱子长度
lengthUnitstring必填
长度单位:含IN、CM
weightnumber必填
箱子重量
weightUnitstring必填
重量单位:含LB、KG
widthnumber必填
箱子宽度
totalinteger必填
商品总数量
productListarray<object>必填
商品明细
隐藏子属性
asinstring必填
asin
fnskustring必填
fnsku
mskustring必填
msku
parentAsinstring必填
父asin
productNamestring必填
品名
quantityInBoxinteger必填
单箱数量
skustring必填
sku
titlestring必填
标题
urlstring必填
图片url

返回成功示例

{
{
    "code": 0,
    "message": "操作成功",
    "errorDetails": null,
    "requestId": "f91edad8ebb242c29312ce9d6968adc4.206.17399569715810141",
    "responseTime": "2025-02-19T17:23:06.164",
    "data": {
        "inboundPlanId": "wf1c7907e3-ccfe-4fd6-a8b9-6ff8f786e133",
        "placementOptionList": [
            {
                "placementOptionId": "pl05ef4dbd-ca5f-4108-8a58-354fd5fab88a",
                "placementStatus": "OFFERED",
                "shipmentInformationList": [
                    {
                        "shipmentId": "sh65e73e2e-855e-4490-96ed-b975a0247727",
                        "weight": "10.00",
                        "volume": "0.00",
                        "weightUnit": "KG",
                        "volumeUnit": "M³",
                        "shipmentPackingList": [
                            {
                                "boxName": "Box1",
                                "height": 10,
                                "length": 20,
                                "width": 15,
                                "lengthUnit": "CM",
                                "weight": 10,
                                "weightUnit": "KG",
                                "total": 5,
                                "productList": [
                                    {
                                        "asin": "B07X61XK8J",
                                        "fnsku": "X000123456",
                                        "msku": "SKU-123",
                                        "parentAsin": "B07X61XK8J",
                                        "productName": "Sample Product",
                                        "quantityInBox": 5,
                                        "sku": "SKU-123",
                                        "title": "Sample Product Title",
                                        "url": "https://example.com/image.jpg"
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            {
                "placementOptionId": "pl13c5f6a9-5348-4b79-a3b2-7da84828f68d",
                "placementStatus": "OFFERED",
                "shipmentInformationList": [
                    {
                        "shipmentId": "shb8a42357-9267-4923-a522-b3c82d42656e",
                        "weight": "10.00",
                        "volume": "0.00",
                        "weightUnit": "KG",
                        "volumeUnit": "M³",
                        "shipmentPackingList": [
                            {
                                "boxName": "Box2",
                                "height": 12,
                                "length": 18,
                                "width": 16,
                                "lengthUnit": "CM",
                                "weight": 10,
                                "weightUnit": "KG",
                                "total": 3,
                                "productList": [
                                    {
                                        "asin": "B07X61XK8J",
                                        "fnsku": "X000123456",
                                        "msku": "SKU-123",
                                        "parentAsin": "B07X61XK8J",
                                        "productName": "Sample Product",
                                        "quantityInBox": 3,
                                        "sku": "SKU-123",
                                        "title": "Sample Product Title",
                                        "url": "https://example.com/image.jpg"
                                    }
                                ]
                            }
                        ]
                    }
                ]
            }
        ]
    }
}